#
# spec file for package libgaminggear
#
# Copyright (c) 2019 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define majorversion 0
%define libgaminggear       libgaminggear0
%define libgaminggearfx     libgaminggearfx0
%define libgaminggearwidget libgaminggearwidget0
Name:           libgaminggear
Version:        0.15.1
Release:        3.23
Summary:        Library for gaming input devices
License:        GPL-2.0-only AND CC-BY-3.0
Group:          Development/Libraries/C and C++
URL:            https://sourceforge.net/projects/libgaminggear/
Source:         http://downloads.sourceforge.net/project/%{name}/%{name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM
Patch0:         0001-Fix-build-with-recent-pango-versions.patch
BuildRequires:  cmake >= 2.8
BuildRequires:  doxygen
BuildRequires:  fdupes
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gtk+-2.0) >= 2.20
BuildRequires:  pkgconfig(gudev-1.0)
BuildRequires:  pkgconfig(libcanberra)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(sqlite3) >= 3.7

%description
A shared library initiated by the Roccat Linux driver project.

%package devel
Summary:        Development files for gaming input devices
Group:          Development/Libraries/C and C++
Requires:       %{libgaminggearfx} = %{version}
Requires:       %{libgaminggearwidget} = %{version}
Requires:       %{libgaminggear} = %{version}

%description devel
This package contains the header files, static libraries and
development documentation for libgaminggear. If you like to develop
programs using libgaminggear, you will need to install this package.

%package -n %{libgaminggear}
Summary:        Gaming input devices library - libgaminggear
Group:          Development/Libraries/C and C++

%description -n %{libgaminggear}
A shared library initiated by the Roccat Linux driver project.

This package holds libgaminggear.

%package -n %{libgaminggearfx}
Summary:        Gaming input devices library - libgaminggearfx
Group:          Development/Libraries/C and C++

%description -n %{libgaminggearfx}
A shared library initiated by the Roccat Linux driver project.

This package holds libgaminggearfx.

%package -n %{libgaminggearwidget}
Summary:        Gaming input devices library - libgaminggearwidget
Group:          Development/Libraries/C and C++

%description -n %{libgaminggearwidget}
A shared library initiated by the Roccat Linux driver project.

This package holds libgaminggearwidget.

%lang_package

%prep
%setup -q
%patch0 -p1

%build
%cmake -DINSTALL_PKGCONFIGDIR=%{_libdir}/pkgconfig
make %{?_smp_mflags}

%install
%cmake_install
%fdupes %{buildroot}%{_datadir}
%find_lang %{name}

%post   -n %{libgaminggear} -p /sbin/ldconfig
%postun -n %{libgaminggear} -p /sbin/ldconfig
%post   -n %{libgaminggearfx} -p /sbin/ldconfig
%postun -n %{libgaminggearfx} -p /sbin/ldconfig
%post   -n %{libgaminggearwidget} -p /sbin/ldconfig
%postun -n %{libgaminggearwidget} -p /sbin/ldconfig

%files
%license COPYING
%doc README Changelog
%{_bindir}/gaminggearfxcontrol
%{_bindir}/gaminggearfxinfo
%{_datadir}/libgaminggear/

%files -n %{libgaminggear}
%license COPYING
%doc README Changelog
%{_libdir}/libgaminggear.so.*

%files -n %{libgaminggearfx}
%license COPYING
%doc README Changelog
%{_libdir}/libgaminggearfx.so.*

%files -n %{libgaminggearwidget}
%license COPYING
%doc README Changelog
%{_libdir}/libgaminggearwidget.so.*

%files devel
%{_includedir}/gaminggear-0/
%{_libdir}/libgaminggear*.so
%{_libdir}/pkgconfig/gaminggear-%{majorversion}.pc
%{_datadir}/cmake/Modules/FindGAMINGGEAR%{majorversion}.cmake

%files lang -f %{name}.lang

%changelog
* Sat Dec  7 2019 Christophe Giboudeaux <christophe@krop.fr>
- Add 0001-Fix-build-with-recent-pango-versions.patch to fix build
  with recent pango versions.
- Run spec-cleaner
* Wed May  8 2019 olaf@aepfle.de
- Install pkgconfig into libdir instead of datadir
* Mon Aug 21 2017 tchvatal@suse.com
- Version update to 0.15.1 (see Changelog)
* Sun Sep 18 2016 mailaender@opensuse.org
- Update to version 0.15.0 (see Changelog)
* Sat Jul 30 2016 rpm@fthiessen.de
- Update to new upstream release 0.13.0
* Thu Feb  4 2016 mailaender@opensuse.org
- Update to version 0.11.2 (see Changelog)
- Remove head.patch
* Tue Sep 15 2015 p.drouand@gmail.com
- Split out the language files
- Remove dependency on fillup; useless
- Remove build dependency on xz; not needed since openSUSE 12.3
* Wed Aug 19 2015 mrueckert@suse.de
- update to 0.11.0
  - Added: Import for Roccat Swarm macro files
  - Fixed: Macroeditor clipboard pasting now handles \t,\n,\r
  - Software implementation of shortcuts/macros now handle multiple
    events like Roccats hardware implementation
- add head.patch (d4c46c76342a9c4d5c213cf5d42f36a8f39e0e1e):
  fixes compilation of the swarm config converter. patch can be
  removed with the next update.
* Mon Aug  3 2015 mrueckert@suse.de
- update to version 0.10.1
  0.10.1 2015-06-28
  * Fixed uinput/uhid inclusion problem
  0.10.0 2015-06-26
  * Added uhid support for input event handling
  * Fixed install paths for icons and api documentation
  0.9.0 2015-05-23
  * Changed uinput handling
  * Improved: library dependencies
  0.8.0 2015-04-18
  * Added: Translation de
  * Added: Support for translations
  * Added: GaminggearRWLock
  * Added: definitions for runtime dynamic loading
  * Improved: gfx supports threading
  * Improved: gaminggearfxcontrol now has more options to control single lights
  * Fixed: pkg-config file
  0.7.0 2015-03-10
  * Added: Gfx
  * Fixed: spec file
  0.6.0 2015-02-02
  * Improved: detection of cmake-finder install directory
  * Changed: configuration option to build documentation from WITHOUT_DOC to WITH_DOC
  * Changed: libraries now installed in base folder, leaving ld.so search paths umodified
  * Fixed: Missing direct dependencies
  * Fixed: Gtk text != NULL assertions
- drop patch 0001-fix_libgaminggearwidget_libs.patch included
  upstream
- adapt to the new package layout
- split out the shared libraries according to the policy
* Sun Sep 28 2014 sfalken@opensuse.org
- Removed %%defines for minor and microversion, as they really aren't needed.
* Sat Sep 27 2014 sfalken@opensuse.org
- Update to version 0.5.0
  * Improved:  GaminggearDevice
  * Fixed: Canberra notifications are failsafe now
- Added:
  * libgaminggear-0.5.0.tar.bz2
  * 0001-fix_libgaminggearwidget_libs.patch
    + Patch adds dependecy libraries to libgaminggearwidget/CMakeLists.txt
- Removed:
  * libgaminggear-0.4.0.tar.bz2
* Sat Jul  5 2014 mailaender@opensuse.org
- update to version 0.4.0
* Sat Jun 14 2014 mailaender@opensuse.org
- initial packaging
